#ifndef _Handle_PGeom_VectorWithMagnitude_HeaderFile
#define _Handle_PGeom_VectorWithMagnitude_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PGeom_Vector_HeaderFile
#include <Handle_PGeom_Vector.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PGeom_Vector);
class PGeom_VectorWithMagnitude;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PGeom_VectorWithMagnitude);

class Handle(PGeom_VectorWithMagnitude) : public Handle(PGeom_Vector) {
  public:

    Handle(PGeom_VectorWithMagnitude)():Handle(PGeom_Vector)() {} 
    Handle(PGeom_VectorWithMagnitude)(const Handle(PGeom_VectorWithMagnitude)& aHandle) : Handle(PGeom_Vector)(aHandle) 
     {
     }

    Handle(PGeom_VectorWithMagnitude)(const PGeom_VectorWithMagnitude* anItem) : Handle(PGeom_Vector)((PGeom_Vector *)anItem) 
     {
     }

    Handle(PGeom_VectorWithMagnitude)& operator=(const Handle(PGeom_VectorWithMagnitude)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PGeom_VectorWithMagnitude)& operator=(const PGeom_VectorWithMagnitude* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PGeom_VectorWithMagnitude* operator->() const 
     {
      return (PGeom_VectorWithMagnitude *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PGeom_VectorWithMagnitude) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
